# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# Configuration file for EndeavourOS Calamares online installs
---

modules-search: [ local ]

instances:
- id:       online
  module:   packages
  config:   packages_online.conf

- id:       online
  module:   welcome
  config:   welcome_online.conf

- id:       cleaner_script
  module:   eos_script
  config:   eos_script_cleaner.conf

- id:       chrooted_cleaner_script
  module:   eos_script
  config:   eos_script_chrooted_cleaner.conf
  
- id:       modify_mk_hook
  module:   shellprocess
  config:   shellprocess_modify_mk_hook.conf
  
- id:       reset_mk_hook
  module:   shellprocess
  config:   shellprocess_reset_mk_hook.conf
  
- id:       initialize_pacman
  module:   shellprocess
  config:   shellprocess_initialize_pacman.conf
  
- id:       fixes
  module:   shellprocess
  config:   shellprocess_fixes_online.conf
  
- id:       copyfiles
  module:   shellprocess
  config:   shellprocess_copyfiles.conf
  
sequence:
- show:
  - welcome@online
  - locale
  - keyboard
  - partition
#  - packagechooser
  - netinstall
  - users
  - summary
- exec:
  - partition
  - mount
  - shellprocess@modify_mk_hook
  - shellprocess@initialize_pacman
  - pacstrap
  - machineid
  - fstab
  - locale
  - keyboard
  - localecfg
  - userpkglist
  - packages@online
  - luksbootkeyfile
  - luksopenswaphookcfg
  - initcpiocfg
  - initcpio
  - users
  - networkcfg
  - displaymanager
  - hwclock
  - grubcfg
  - bootloader
  - eos_script@cleaner_script
  - eos_script@chrooted_cleaner_script
  - shellprocess@reset_mk_hook
  - services-systemd
  - preservefiles
  - shellprocess@copyfiles
  - umount
- show:
  - finished

branding: lynx

prompt-install: true

dont-chroot: false

oem-setup: false

disable-cancel: false

disable-cancel-during-exec: false

hide-back-and-next-during-exec: true

quit-at-end: false
